# Uses of Class
org.lwjgl.opengl.GLSync

Packages that use GLSync
Package
Description
org.lwjgl.opencl
org.lwjgl.opengl

## Uses of GLSync in org.lwjgl.opencl

Methods in org.lwjgl.opencl with parameters of type GLSync
Modifier and Type
Method
Description
`static CLEvent`
KHRGLEvent.`clCreateEventFromGLsyncKHR(CLContext context, GLSync sync, IntBuffer errcode_ret)`

## Uses of GLSync in org.lwjgl.opengl

Methods in org.lwjgl.opengl that return GLSync
Modifier and Type
Method
Description
`static GLSync`
ARBCLEvent.`glCreateSyncFromCLeventARB(CLContext context, CLEvent event, int flags)`
`static GLSync`
ARBSync.`glFenceSync(int condition, int flags)`
`static GLSync`
GL32.`glFenceSync(int condition, int flags)`
Methods in org.lwjgl.opengl with parameters of type GLSync
Modifier and Type
Method
Description
`static int`
ARBSync.`glClientWaitSync(GLSync sync, int flags, long timeout)`
`static int`
GL32.`glClientWaitSync(GLSync sync, int flags, long timeout)`
`static void`
ARBSync.`glDeleteSync(GLSync sync)`
`static void`
GL32.`glDeleteSync(GLSync sync)`
`static int`
ARBSync.`glGetSync(GLSync sync, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
ARBSync.`glGetSync(GLSync sync, int pname, IntBuffer length, IntBuffer values)`
`static int`
GL32.`glGetSync(GLSync sync, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
GL32.`glGetSync(GLSync sync, int pname, IntBuffer length, IntBuffer values)`
`static int`
ARBSync.`glGetSynci(GLSync sync, int pname)`
Overloads glGetSynciv.
`static int`
GL32.`glGetSynci(GLSync sync, int pname)`
Overloads glGetSynciv.
`static boolean`
ARBSync.`glIsSync(GLSync sync)`
`static boolean`
GL32.`glIsSync(GLSync sync)`
`static void`
ARBSync.`glWaitSync(GLSync sync, int flags, long timeout)`
`static void`
GL32.`glWaitSync(GLSync sync, int flags, long timeout)`